
# react-native-baidu-map

## Getting started

`$ npm install react-native-baidu-map --save`

### Mostly automatic installation

`$ react-native link react-native-baidu-map`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-baidu-map` and add `RNBaiduMap.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNBaiduMap.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.jamsonwu.RNBaiduMapPackage;` to the imports at the top of the file
  - Add `new RNBaiduMapPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-baidu-map'
  	project(':react-native-baidu-map').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-baidu-map/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-baidu-map')
  	```


## Usage
```javascript
import RNBaiduMap from 'react-native-baidu-map';

// TODO: What to do with the module?
RNBaiduMap;
```
  